version: '3.9'
services:
  envoy-proxy:
    image: envoyproxy/envoy:v1.21.6
    ports:
      - "8080:8080"
      - "9901:9901"
    networks:
      - grpcnet
    volumes:
      - ./envoy-proxy/envoy.yaml:/etc/envoy/envoy.yaml

  grpc-server:
    build: ./grpc-server
    ports:
      - "9090:9090"
    container_name: grpcserve
    networks:
      - grpcnet

  apache-server:
    image: httpd:2.4
    ports:
      - "8010:80"
    networks:
      - grpcnet
    volumes:
      - ./web-app/public/:/usr/local/apache2/htdocs/

networks:
  grpcnet: {}
